﻿@using AdminCaja.Models
@model AdminCaja.ViewModel.TramitesViewModel

@{ 
    Procedure tramite = null;
}
<section class="page-header" style="background-image: url('/images/header-internas/tram.jpg')">
    <div class="container-fluid">
        <div class="col-md-12">
            <h1 class="internal-title wow fadeInUp" data-wow-delay=".2s">Trámites</h1>
            <div class="row">
                <div class="news-search ani wow fadeInUp" data-wow-delay=".4s">
                    <svg class="lupa-ico-input" viewBox="0 0 16.5 18.8">
                        <path id="XMLID_19_" d="M7.6,0C3.4,0,0,3.4,0,7.6s3.4,7.6,7.6,7.6c1.1,0,2.1-0.2,3.1-0.7l0.5-0.2l3.6,4.6l1.7-1.3l-3.6-4.6l0.4-0.5c1.2-1.4,1.8-3.1,1.8-4.9C15.1,3.4,11.7,0,7.6,0z M7.6,13.3c-3.2,0-5.8-2.6-5.8-5.8c0-3.2,2.6-5.8,5.8-5.8c3.2,0,5.8,2.6,5.8,5.8C13.3,10.8,10.8,13.3,7.6,13.3z" />
                    </svg>
                    <input class="typeahead" type="text" placeholder="Buscar Trámite..." data-provide="typeahead">
                    <button id="search-noticias" class="ani" type="button">
                        <span>ACEPTAR</span><i class="fa fa-angle-right"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</section>

<div id="panelfiltro">
    @Html.Partial("_panelFiltro", Model)
</div>
<section class="links">
    <div class="container-fluid">
        <div class="col-md-12">
            <ul class="links-familia">
                <li><a href="#"><img src="~/images/logo-byma.png" alt="BYMA"></a></li>
                <li><a href="#"><img src="~/images/logo-iamc.png" alt="IAMC"></a></li>
                <!-- <li><a href="#"><img src="/content/site/img/logo-banco-byma.png" alt="Banco BYMA"></a></li>
                <li><a href="#"><img src="/content/site/img/logo-tecval.png" alt="TECVAL"></a></li> -->
            </ul>
        </div>
    </div>
</section>

@section scripts{
    <script src="~/Content/js/bootstrap3-typeahead.js"></script>
    <script>
        function getFiltros(tipoCliente, tipoTramite, tramiteId) {
            $("#panelfiltro").load("/tramites/getdata?tipoCliente=" + tipoCliente + "&tipoTramite=" + tipoTramite + "&tramiteId=" + tramiteId);
        }

        $(document).ready(function() {

	        var $input = $(".typeahead");
            $input.typeahead({
                minLength: 3,
                source: function (query, callback) {
                    $.get('/tramites/search/?q=' + query, function (data) { callback(data) });
                },
	        autoSelect: true
	
	        });
	        $input.change(function() {
	        var current = $input.typeahead("getActive");
                if (current) {
                    getFiltros(0, 0, current.id);

    	        }
            });

        });
    </script>
    }